Trying to Get Local Galaxy running, but can't open localhost:8080 in browser ERR:CONNECTION_REFUSED

Trying to get a local Galaxy server running - I think I managed to get the right Python (3.6) installed, but I still can’t get Galaxy to open in localhost:8080. I’ve pasted the log below. I tried switching to the python 3.6 shell by using the command “Python 3.6” and the next line starts with “>>>” but then none of the commands get recognized (eg. I can’t switch the directory to where the galaxy files are with “cd” ). (I know next to nothing about this kind of thing, so please assume so if you have an explanation!)

  • I removed 6 sections that said “Requirement already satisfied” (lines 190-195) because I assume these are not the issue and ran out of characters!*

Thanks,

Andrea

Activating virtualenv at .venv

Requirement already satisfied: pip>=8.1 in ./.venv/lib/python3.8/site-packages (20.2.4)

Looking in indexes: https://wheels.galaxyproject.org/simple, https://pypi.python.org/simple

Ignoring importlib-metadata: markers ‘python_version < “3.8”’ don’t match your environment

Ignoring importlib-resources: markers ‘python_version < “3.7”’ don’t match your environment

Ignoring pathlib2: markers ‘python_version < “3.6”’ don’t match your environment

Ignoring pyinotify: markers ‘sys_platform != “win32” and sys_platform != “darwin” and sys_platform != “sunos5”’ don’t match your environment

Ignoring ruamel.yaml.clib: markers ‘platform_python_implementation == “CPython” and python_version < “3.8”’ don’t match your environment

Ignoring typing: markers ‘python_version < “3.5”’ don’t match your environment

Ignoring zipp: markers ‘python_version < “3.8”’ don’t match your environment

Requirement already satisfied: adal==1.2.4 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 3)) (1.2.4)

Requirement already satisfied: amqp==2.6.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 4)) (2.6.0)

Requirement already satisfied: appdirs==1.4.4 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 5)) (1.4.4)

Requirement already satisfied: attmap==0.12.11 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 6)) (0.12.11)

Requirement already satisfied: attrs==19.3.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 7)) (19.3.0)

Requirement already satisfied: azure-common==1.1.14 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 8)) (1.1.14)

Requirement already satisfied: azure-cosmosdb-nspkg==2.0.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 9)) (2.0.2)

Requirement already satisfied: azure-cosmosdb-table==1.0.4 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 10)) (1.0.4)

Requirement already satisfied: azure-mgmt-compute==4.0.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 11)) (4.0.1)

Requirement already satisfied: azure-mgmt-devtestlabs==2.2.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 12)) (2.2.0)

Requirement already satisfied: azure-mgmt-network==2.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 13)) (2.1.0)

Requirement already satisfied: azure-mgmt-nspkg==3.0.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 14)) (3.0.2)

Requirement already satisfied: azure-mgmt-resource==2.0.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 15)) (2.0.0)

Requirement already satisfied: azure-mgmt-storage==2.0.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 16)) (2.0.0)

Requirement already satisfied: azure-nspkg==3.0.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 17)) (3.0.2)

Requirement already satisfied: azure-storage-blob==1.3.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 18)) (1.3.1)

Requirement already satisfied: azure-storage-common==1.4.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 19)) (1.4.2)

Requirement already satisfied: azure-storage-nspkg==3.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 20)) (3.1.0)

Requirement already satisfied: babel==2.8.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 21)) (2.8.0)

Requirement already satisfied: bagit==1.7.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 22)) (1.7.0)

Requirement already satisfied: bcrypt==3.1.7 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 23)) (3.1.7)

Requirement already satisfied: bdbag==1.5.6 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 24)) (1.5.6)

Requirement already satisfied: beaker==1.11.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 25)) (1.11.0)

Requirement already satisfied: bioblend==0.13.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 26)) (0.13.0)

Requirement already satisfied: bleach==3.1.5 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 27)) (3.1.5)

Requirement already satisfied: boltons==20.2.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 28)) (20.2.0)

Requirement already satisfied: boto3==1.9.114 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 29)) (1.9.114)

Requirement already satisfied: boto==2.49.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 30)) (2.49.0)

Requirement already satisfied: botocore==1.12.253 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 31)) (1.12.253)

Requirement already satisfied: bx-python==0.8.9 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 32)) (0.8.9)

Requirement already satisfied: cachecontrol==0.11.7 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 33)) (0.11.7)

Requirement already satisfied: cachetools==4.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 34)) (4.1.0)

Requirement already satisfied: certifi==2020.6.20 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 35)) (2020.6.20)

Requirement already satisfied: cffi==1.14.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 36)) (1.14.0)

Requirement already satisfied: chardet==3.0.4 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 37)) (3.0.4)

Requirement already satisfied: cheetah3==3.2.5 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 38)) (3.2.5)

Requirement already satisfied: cliff==3.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 39)) (3.1.0)

Requirement already satisfied: cloudauthz==0.6.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 40)) (0.6.0)

Requirement already satisfied: cloudbridge==2.0.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 41)) (2.0.0)

Requirement already satisfied: cmd2==0.8.9 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 42)) (0.8.9)

Requirement already satisfied: coloredlogs==14.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 43)) (14.0)

Requirement already satisfied: cryptography==2.9.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 44)) (2.9.2)

Requirement already satisfied: cwltool==1.0.20191225192155 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 45)) (1.0.20191225192155)

Requirement already satisfied: debtcollector==1.22.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 46)) (1.22.0)

Requirement already satisfied: decorator==4.4.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 47)) (4.4.2)

Requirement already satisfied: defusedxml==0.6.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 48)) (0.6.0)

Requirement already satisfied: deprecated==1.2.10 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 49)) (1.2.10)

Requirement already satisfied: deprecation==2.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 50)) (2.1.0)

Requirement already satisfied: dictobj==0.4 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 51)) (0.4)

Requirement already satisfied: docopt==0.6.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 52)) (0.6.2)

Requirement already satisfied: docutils==0.15.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 53)) (0.15.2)

Requirement already satisfied: dogpile.cache==0.9.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 54)) (0.9.2)

Requirement already satisfied: ecdsa==0.15 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 55)) (0.15)

Requirement already satisfied: fabric3==1.14.post1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 56)) (1.14.post1)

Requirement already satisfied: future==0.18.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 57)) (0.18.2)

Requirement already satisfied: futures==3.1.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 58)) (3.1.1)

Requirement already satisfied: galaxy-sequence-utils==1.1.5 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 59)) (1.1.5)

Requirement already satisfied: google-api-python-client==1.7.8 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 60)) (1.7.8)

Requirement already satisfied: google-auth-httplib2==0.0.3 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 61)) (0.0.3)

Requirement already satisfied: google-auth==1.18.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 62)) (1.18.0)

Requirement already satisfied: gxformat2==0.11.3 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 63)) (0.11.3)

Requirement already satisfied: h5py==2.10.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 64)) (2.10.0)

Requirement already satisfied: httplib2==0.18.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 65)) (0.18.1)

Requirement already satisfied: humanfriendly==8.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 66)) (8.2)

Requirement already satisfied: idna==2.9 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 67)) (2.9)

Requirement already satisfied: isa-rwval==0.10.9 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 70)) (0.10.9)

Requirement already satisfied: iso8601==0.1.12 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 71)) (0.1.12)

Requirement already satisfied: isodate==0.6.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 72)) (0.6.0)

Requirement already satisfied: jmespath==0.10.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 73)) (0.10.0)

Requirement already satisfied: jsonpatch==1.26 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 74)) (1.26)

Requirement already satisfied: jsonpointer==2.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 75)) (2.0)

Requirement already satisfied: jsonschema==3.2.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 76)) (3.2.0)

Requirement already satisfied: keystoneauth1==4.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 77)) (4.1.0)

Requirement already satisfied: kombu==4.6.11 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 78)) (4.6.11)

Requirement already satisfied: lockfile==0.12.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 79)) (0.12.2)

Requirement already satisfied: lxml==4.5.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 80)) (4.5.1)

Requirement already satisfied: mako==1.1.3 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 81)) (1.1.3)

Requirement already satisfied: markdown==3.2.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 82)) (3.2.2)

Requirement already satisfied: markupsafe==1.1.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 83)) (1.1.1)

Requirement already satisfied: mercurial==5.4.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 84)) (5.4.1)

Requirement already satisfied: mistune==0.8.4 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 85)) (0.8.4)

Requirement already satisfied: msgpack==1.0.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 86)) (1.0.0)

Requirement already satisfied: msrest==0.5.5 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 87)) (0.5.5)

Requirement already satisfied: msrestazure==0.5.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 88)) (0.5.0)

Requirement already satisfied: munch==2.5.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 89)) (2.5.0)

Requirement already satisfied: mypy-extensions==0.4.3 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 90)) (0.4.3)

Requirement already satisfied: netaddr==0.7.20 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 91)) (0.7.20)

Requirement already satisfied: netifaces==0.10.9 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 92)) (0.10.9)

Requirement already satisfied: networkx==1.11 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 93)) (1.11)

Requirement already satisfied: nodeenv==1.4.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 94)) (1.4.0)

Requirement already satisfied: nose==1.3.7 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 95)) (1.3.7)

Requirement already satisfied: numpy==1.18.5 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 96)) (1.18.5)

Requirement already satisfied: oauth2client==4.1.3 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 97)) (4.1.3)

Requirement already satisfied: oauthlib==3.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 98)) (3.1.0)

Requirement already satisfied: openstacksdk==0.17.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 99)) (0.17.0)

Requirement already satisfied: os-client-config==2.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 100)) (2.1.0)

Requirement already satisfied: os-service-types==1.7.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 101)) (1.7.0)

Requirement already satisfied: osc-lib==2.0.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 102)) (2.0.0)

Requirement already satisfied: oslo.config==7.0.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 103)) (7.0.0)

Requirement already satisfied: oslo.context==2.23.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 104)) (2.23.1)

Requirement already satisfied: oslo.i18n==3.25.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 105)) (3.25.1)

Requirement already satisfied: oslo.log==3.45.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 106)) (3.45.2)

Requirement already satisfied: oslo.serialization==2.29.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 107)) (2.29.2)

Requirement already satisfied: oslo.utils==3.42.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 108)) (3.42.1)

Requirement already satisfied: oyaml==0.9 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 109)) (0.9)

Requirement already satisfied: packaging==20.4 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 110)) (20.4)

Requirement already satisfied: paramiko==2.7.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 111)) (2.7.1)

Requirement already satisfied: parsley==1.3 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 112)) (1.3)

Requirement already satisfied: paste==3.4.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 113)) (3.4.1)

Requirement already satisfied: pastedeploy==2.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 114)) (2.1.0)

Requirement already satisfied: pastescript==3.2.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 115)) (3.2.0)

Requirement already satisfied: pbr==5.4.5 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 117)) (5.4.5)

Requirement already satisfied: prettytable==0.7.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 118)) (0.7.2)

Requirement already satisfied: prov==1.5.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 119)) (1.5.1)

Requirement already satisfied: psutil==5.7.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 120)) (5.7.0)

Requirement already satisfied: pulsar-galaxy-lib==0.14.0.dev4 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 121)) (0.14.0.dev4)

Requirement already satisfied: pyasn1-modules==0.2.8 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 122)) (0.2.8)

Requirement already satisfied: pyasn1==0.4.8 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 123)) (0.4.8)

Requirement already satisfied: pycparser==2.20 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 124)) (2.20)

Requirement already satisfied: pycryptodome==3.9.7 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 125)) (3.9.7)

Requirement already satisfied: pyeventsystem==0.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 126)) (0.1.0)

Requirement already satisfied: pyjwt==1.7.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 128)) (1.7.1)

Requirement already satisfied: pykwalify==1.7.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 129)) (1.7.0)

Requirement already satisfied: pynacl==1.4.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 130)) (1.4.0)

Requirement already satisfied: pyopenssl==19.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 131)) (19.1.0)

Requirement already satisfied: pyparsing==2.4.7 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 132)) (2.4.7)

Requirement already satisfied: pyperclip==1.8.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 133)) (1.8.0)

Requirement already satisfied: pyrsistent==0.16.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 134)) (0.16.0)

Requirement already satisfied: pysam==0.16.0.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 135)) (0.16.0.1)

Requirement already satisfied: pysftp==0.2.9 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 136)) (0.2.9)

Requirement already satisfied: python-cinderclient==4.0.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 137)) (4.0.0)

Requirement already satisfied: python-dateutil==2.8.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 138)) (2.8.1)

Requirement already satisfied: python-glanceclient==2.12.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 139)) (2.12.0)

Requirement already satisfied: python-jose==3.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 140)) (3.1.0)

Requirement already satisfied: python-keystoneclient==3.17.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 141)) (3.17.0)

Requirement already satisfied: python-neutronclient==6.9.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 142)) (6.9.0)

Requirement already satisfied: python-novaclient==11.0.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 143)) (11.0.0)

Requirement already satisfied: python-swiftclient==3.6.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 144)) (3.6.0)

Requirement already satisfied: python3-openid==3.1.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 145)) (3.1.0)

Requirement already satisfied: pytz==2020.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 146)) (2020.1)

Requirement already satisfied: pyuwsgi==2.0.19.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 147)) (2.0.19.1)

Requirement already satisfied: pyyaml==5.3.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 148)) (5.3.1)

Requirement already satisfied: rdflib-jsonld==0.4.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 149)) (0.4.0)

Requirement already satisfied: rdflib==4.2.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 150)) (4.2.2)

Requirement already satisfied: refgenconf==0.7.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 151)) (0.7.0)

Requirement already satisfied: repoze.lru==0.7 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 152)) (0.7)

Requirement already satisfied: requests-oauthlib==1.3.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 153)) (1.3.0)

Requirement already satisfied: requests-toolbelt==0.9.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 154)) (0.9.1)

Requirement already satisfied: requests==2.24.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 155)) (2.24.0)

Requirement already satisfied: requestsexceptions==1.4.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 156)) (1.4.0)

Requirement already satisfied: rfc3986==1.4.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 157)) (1.4.0)

Requirement already satisfied: routes==2.4.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 158)) (2.4.1)

Requirement already satisfied: rsa==4.6 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 159)) (4.6)

Requirement already satisfied: ruamel.yaml==0.16.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 161)) (0.16.0)

Requirement already satisfied: s3transfer==0.2.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 162)) (0.2.1)

Requirement already satisfied: scandir==1.10.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 163)) (1.10.0)

Requirement already satisfied: schema-salad==4.5.20191229160203 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 164)) (4.5.20191229160203)

Requirement already satisfied: setuptools-scm==4.1.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 165)) (4.1.2)

Requirement already satisfied: shellescape==3.4.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 166)) (3.4.1)

Requirement already satisfied: simplejson==3.17.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 167)) (3.17.0)

Requirement already satisfied: six==1.15.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 168)) (1.15.0)

Requirement already satisfied: social-auth-core[openidconnect]==3.3.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 169)) (3.3.0)

Requirement already satisfied: sortedcontainers==2.2.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 170)) (2.2.2)

Requirement already satisfied: sqlalchemy-migrate==0.13.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 171)) (0.13.0)

Requirement already satisfied: sqlalchemy-utils==0.36.6 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 172)) (0.36.6)

Requirement already satisfied: sqlalchemy==1.3.17 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 173)) (1.3.17)

Requirement already satisfied: sqlitedict==1.7.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 174)) (1.7.0)

Requirement already satisfied: sqlparse==0.3.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 175)) (0.3.1)

Requirement already satisfied: stevedore==1.32.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 176)) (1.32.0)

Requirement already satisfied: svgwrite==1.3.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 177)) (1.3.1)

Requirement already satisfied: tempita==0.5.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 178)) (0.5.2)

Requirement already satisfied: tenacity==4.12.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 179)) (4.12.0)

Requirement already satisfied: tqdm==4.46.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 180)) (4.46.1)

Requirement already satisfied: typing-extensions==3.7.4.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 181)) (3.7.4.2)

Requirement already satisfied: tzlocal==2.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 183)) (2.1)

Requirement already satisfied: ubiquerg==0.5.2 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 184)) (0.5.2)

Requirement already satisfied: unidecode==1.1.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 185)) (1.1.1)

Requirement already satisfied: uritemplate==3.0.1 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 186)) (3.0.1)

Requirement already satisfied: urllib3==1.25.9 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 187)) (1.25.9)

Requirement already satisfied: vine==1.3.0 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 188)) (1.3.0)

Requirement already satisfied: warlock==1.3.3 in ./.venv/lib/python3.8/site-packages (from -r requirements.txt (line 189)) (1.3.3)

Requirement already satisfied: pathlib2!=2.3.1 in ./.venv/lib/python3.8/site-packages (from cwltool==1.0.20191225192155->-r requirements.txt (line 45)) (2.3.5)

Requirement already satisfied: setuptools in ./.venv/lib/python3.8/site-packages (from cwltool==1.0.20191225192155->-r requirements.txt (line 45)) (50.3.2)

Skipping Galaxy client build because git is not in use and the client build state cannot be compared against local changes. If you have made local modifications, then manual client builds will be required. See ./client/README.md for more information.

Activating virtualenv at .venv

Traceback (most recent call last):

File “/Applications/galaxy-dev/lib/galaxy/util/filelock.py”, line 43, in acquire

self.fd = os.open(self.lockfile, os.O_CREAT | os.O_EXCL | os.O_RDWR)

FileExistsError: [Errno 17] File exists: ‘/Applications/galaxy-dev/database/dependencies/conda.lock’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/Applications/galaxy-dev/lib/galaxy/tool_util/deps/installable.py”, line 70, in ensure_installed

with FileLock(os.path.join(parent_path, desc.lower()), timeout=300):

File “/Applications/galaxy-dev/lib/galaxy/util/filelock.py”, line 68, in enter

self.acquire()

File “/Applications/galaxy-dev/lib/galaxy/util/filelock.py”, line 49, in acquire

raise FileLockException(“Timeout occurred.”)

galaxy.util.filelock.FileLockException: Timeout occurred.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “./scripts/manage_tool_dependencies.py”, line 40, in

main()

File “/Applications/galaxy-dev/lib/galaxy/util/script.py”, line 45, in main

action_func(args, kwargs)

File “./scripts/manage_tool_dependencies.py”, line 16, in _init_if_needed

_build_dependency_manager_no_config(kwargs)

File “./scripts/manage_tool_dependencies.py”, line 29, in _build_dependency_manager_no_config

dependency_manager = build_dependency_manager(app_config_dict=kwargs, conf_file=dependency_resolvers_config_file, default_tool_dependency_dir=“database/dependencies”)

File “/Applications/galaxy-dev/lib/galaxy/tool_util/deps/init.py”, line 90, in build_dependency_manager

dependency_manager = DependencyManager(**dependency_manager_kwds)

File “/Applications/galaxy-dev/lib/galaxy/tool_util/deps/init.py”, line 131, in init

self.dependency_resolvers = self.__parse_resolver_conf_plugins(plugin_source)

File “/Applications/galaxy-dev/lib/galaxy/tool_util/deps/init.py”, line 333, in __parse_resolver_conf_plugins

return plugin_config.load_plugins(self.resolver_classes, plugin_source, extra_kwds, plugin_type_keys=[‘type’, ‘resolver_type’])

File “/Applications/galaxy-dev/lib/galaxy/util/plugin_config.py”, line 37, in load_plugins

return __load_plugins_from_dicts(

File “/Applications/galaxy-dev/lib/galaxy/util/plugin_config.py”, line 96, in __load_plugins_from_dicts

plugin = plugins_dictplugin_type

File “/Applications/galaxy-dev/lib/galaxy/tool_util/deps/resolvers/conda.py”, line 138, in init

self.disabled = not galaxy.tool_util.deps.installable.ensure_installed(conda_context, install_conda, self.auto_init)

File “/Applications/galaxy-dev/lib/galaxy/tool_util/deps/installable.py”, line 75, in ensure_installed

raise Exception(“Failed to get file lock for %s” % os.path.join(parent_path, desc.lower()))

Exception: Failed to get file lock for /Applications/galaxy-dev/database/dependencies/conda

Executing: .venv/bin/uwsgi --module ‘galaxy.webapps.galaxy.buildapp:uwsgi_app()’ --virtualenv /Applications/galaxy-dev/.venv --static-safe /Applications/galaxy-dev/client/src/assets --pythonpath lib --threads 4 --buffer-size 16384 --http localhost:8080 --static-map /static=/Applications/galaxy-dev/static --static-map /favicon.ico=/Applications/galaxy-dev/static/favicon.ico --die-on-term --hook-master-start ‘unix_signal:2 gracefully_kill_them_all’ --hook-master-start ‘unix_signal:15 gracefully_kill_them_all’ --enable-threads --umask 027 --py-call-osafterfork

Traceback (most recent call last):

File “.venv/bin/uwsgi”, line 5, in

from pyuwsgi import run

ImportError: dlopen(/Applications/galaxy-dev/.venv/lib/python3.8/site-packages/pyuwsgi.cpython-38-darwin.so, 2): Symbol not found: _Py_GetArgcArgv

Referenced from: /Applications/galaxy-dev/.venv/lib/python3.8/site-packages/pyuwsgi.cpython-38-darwin.so

Expected in: flat namespace

in /Applications/galaxy-dev/.venv/lib/python3.8/site-packages/pyuwsgi.cpython-38-darwin.so

Are you running this on a mac?

You might try what is suggested here: https://stackoverflow.com/questions/60769482/importerror-in-airflow-python-symbol-not-found-py-getargcargv-mac-os

Thanks for the fast reply - I am using a Mac, but I didn’t use brew to install python - I got it directly from the website as this post suggested.